* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
  background: #e2a7b0cc; 

}
#welcome-container {
  width: 100%;
  height: 100vh;
  background-color: #fffefe;
  background-image: linear-gradient(180deg, #bcdcdfb9 0%, #ffffff 70%, #9b479e80 90%);
  display: inline-block;
  justify-content: space-between;
  align-items: center;
  padding: 10%;
  
}
.welcomeHeader {
  width: 58%;
  height: 50vh;
  
}
.welcomeHeader h1 {
  font-weight: bolder;
  font-size: 4.3rem;
  font-family: 'Poppins';
  letter-spacing: 20px;
  line-height: 10vh;
  margin-top: 8%;
  font-weight: 900;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.651);
  color: rgb(245, 111, 1);
  animation: slidein 3s both;
}
@keyframes slideIn {
  0% {
    opacity: 0;
    transform: translateY(-20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.welcomeHeader h1.fade-in {
  animation: fadeIn 1s ease-in-out forwards;
}

@keyframes slideInLeft {
  0% {
    transform: translateX(-100%);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slideInRight {
  0% {
    transform: translateY(0);
    opacity: 1;
  }
  50% {
    opacity: 1;
  }
  80% {
    transform: translateY(-450%);
    opacity: 1;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}
@keyframes dropAnimation {
  0% {
    transform: translateY(-100%);
    opacity: 0;
  }
  60% {
    transform: translateY(-400%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}


.smallHeader {
  display: flex;
  width: 23%;
  height: 7vh;
  justify-content: center;
  align-items: center;
  border-radius: 15px;
  padding: 10px;
  animation: slideInLeft 3s ease-in-out;
  border: 2px solid rgba(133, 28, 98, 0.849);;
  background: #ffffff;
  
}
.smallHeader h2{
  font-size: 1.2rem;
  font-family: Secular One;
  color: rgba(133, 28, 98, 0.849);
  font-weight: 900;
  text-shadow: 2px 2px 4px rgb(130, 107, 138);
}

.phoneImgContainer{
  border: 12px solid;
  width: 20%;
  height: 80vh;
  background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
  background-image:url(https://www.olivelantern.com/wp-content/uploads/2016/02/How-you-can-use-affirmations-768x503.jpg);
  position: absolute;
  top: 11%;
  right: 10%;
  border-radius: 40px;
  padding: 0.6%;
 
  animation: float 1.2s infinite alternate;
  box-shadow: 25px 25px 75px rgb(0, 0, 0),
      10px 50px 70px rgb(39, 37, 37),
      inset 5px 5px 10px rgba(12, 12, 12, 0.774),
      inset 5px 5px 20px rgba(94, 92, 92, 0.637),
      inset -5px -5px 15px rgba(92, 90, 90, 0.753);
      

}
@keyframes float {
  0% {
    transform: translateY(11%);
  }

  100% {
    transform: translateY(0);
  }
}


.phoneSrchComponents{
  display: flex;
  margin-top: 15%;
  justify-content: space-between;
  margin-bottom: 20px;
  font-family: Secular One;


}
.srchCont{
  background-color: aliceblue;
  height: 5%;
  width: 70%;
  border-radius: 20px;
  padding: 5px;
  padding-left: 15px;
  animation: slideInLeft 2s ease-in-out infinite;
}
.srchCont h3{
  font-size: 0.8rem;
}
.srchBtn{
  height: 5%;
  border-radius: 20px;
  width: 24%;
  background-color: rgb(182, 8, 89);
  animation: slideInRight 3s ease-in-out infinite;
  padding: 2px;
}
.srchBtn h3{
  font-size: 1rem;
  text-align: center;
  color: aliceblue;
  
}

.resultsCont{
  padding: 15px;
  height: 84%;
  border-radius: 20px;
  background-color: aliceblue;
  animation: slideInLeft 3s ease-in-out infinite;
  
}
#start-button img {
  object-fit: fill;
  position: absolute;
  top: 82%;
  left: 40%;
  transform: translate(-50%, -50%);
  cursor: pointer;
  transition: all 0.3s ease-in-out 0s;
  box-shadow: rgba(0, 0, 0, 0.698) 0px 0px 0px 0px;
  animation: 1.2s cubic-bezier(0.8, 0, 0, 1) 0s infinite normal none running pulse;
  border-radius: 50px;
  border: 5px solid rgb(245, 111, 1);
  box-shadow: 0 0 10px rgb(0, 0, 0);
  width: 4.5%;
  transition: transform 0.3s ease, border-color 0.3s ease;
}

#start-button img:hover {
  transform: scale(1.5);
  border-color: rgb(255, 255, 255);
}

#start-button .parrot {
  position: absolute;
  width: 60px;
  text-align: center;
  color: transparent;
  left: 10%;
  color: rgba(133, 28, 98, 0.849);
  top: 9%;
  animation: slideInLeft 2s ease-in-out;
}

#start-button .parrot:before {
  content: "\1F3B6 tify  Music! ";
  font: 50px/1 "Margarine", sans-serif;
  font-weight: 900;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.781);
  cursor: pointer;
}


@keyframes blink {
  5%, 5% {
    color: transparent;
  }

  40%, 60% {
    color:rgb(207, 210, 219);
  }
}

@keyframes pulse {
  100% {
    box-shadow: 0 0 0 55px rgba(237, 220, 245, 0);
  }
}
#loading-container {
  width: 10%;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20%;
  display: flex;
}


.loading-title {
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size:50px; 
  font-family: sans-serif;
  font-weight: 900;
  color: rgb(151, 0, 83);
  animation: blink 1s infinite;
  letter-spacing: 10px;
  text-shadow: 2px 2px 4px rgb(0, 0, 0);
  
  
}

.loading-circle {
  display: block;
  border-left: 5px solid;
  border-top-left-radius: 100%;
  border-top: 5px solid;
  margin: 5px;
  animation-name: Loader_611;
  animation-duration: 1500ms;
  animation-timing-function: linear;
  animation-delay: 0s;
  animation-iteration-count: infinite;
  animation-direction: normal;
  animation-fill-mode: forwards;
  margin-top: 40%;
  margin-left: 25%;
  
}

.sp1 {
  border-left-color: #f81100;
  border-top-color: #ff1100;
  width: 40px;
  height: 40px;
}

.sp2 {
  border-left-color: #ffee07;
  border-top-color: #ffee07;
  width: 30px;
  height: 30px;
}

.sp3 {
  width: 20px;
  height: 20px;
  border-left-color: #ff0055;
  border-top-color: #ff0055;
}

@keyframes Loader_611 {
  0% {
    transform: rotate(0deg);
    transform-origin: right bottom;
  }

  25% {
    transform: rotate(90deg);
    transform-origin: right bottom;
  }

  50% {
    transform: rotate(180deg);
    transform-origin: right bottom;
  }

  75% {
    transform: rotate(270deg);
    transform-origin: right bottom;
  }

  100% {
    transform: rotate(360deg);
    transform-origin: right bottom;
  }
}
.search-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 92%;
  width: 26%;
  color: #fff;
  padding: 11px;
  border: 12px solid #222020;
  box-sizing: border-box;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  background-image:url(https://www.olivelantern.com/wp-content/uploads/2016/02/How-you-can-use-affirmations-768x503.jpg);
  border-radius: 40px;
  overflow: hidden;
  /* box-shadow: 25px 25px 75px rgb(75, 70, 70),
  10px 50px 70px rgb(70, 66, 66),
  inset 5px 5px 10px rgba(255, 0, 0, 0),
  inset 5px 5px 20px rgba(243, 240, 240, 0.342),
  inset -5px -5px 15px rgba(240, 236, 236, 0.493); */
  opacity: 0;
  animation: slideIn 1s forwards;
  box-shadow: 0 0 0 4px hsl(0, 0%, 100%); 
}


@keyframes slideIn {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
  }
  100% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
  }
}

.logo-container {
  text-align: center;
  
}

.logo-container img {
  width: 60px;
  border-radius: 25%;
  border: 2px solid rgb(245, 111, 1);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.685);
  transition: transform 0.3s ease, border-color 0.3s ease;
  animation: dropAnimation 0.5s ease-in-out;
}

.logo-container img:hover {
  transform: scale(1.2);
  border-color: rgb(255, 255, 255);
}



.search-container input[type="text"] {
  margin-top: 4px;
  padding: 5px;
  width: 70%;
  font-size: 13px;
  margin-bottom: 15px;
  font-size: 0.8rem;
  color: #000000;
  background-color: rgb(202, 202, 219);
  box-shadow: 0 0 .4vw rgba(0,0,0,0.5), 0 0 0 .15vw transparent;
  border-radius: 0.6vw;
  border: none;
  outline: none;
  padding: 0.4vw;
  transition: .1s;
  margin-left: 5px;
  animation: dropAnimation 0.5s ease-in-out;
}
.search-container input:hover {
  box-shadow: 0 0 0 .15vw rgb(245, 111, 1);
}
.search-container input:focus {
  box-shadow: 0 0 0 .15vw rgb(240, 9, 240);
}

.search-container button {
  height: 4%;
  padding: 1%;
  margin-left: 20px;
  cursor: pointer;
  position: relative;
  font-size: 14px;
  color: rgb(255, 255, 255);
  border: 2px solid rgb(255, 255, 255);
  border-radius: 10px;
  background-color:  rgba(150, 10, 64, 0.89);
  font-weight: 600;
  box-shadow: 0 0 .4vw rgba(19, 19, 19, 0.788), 0 0 0 .15vw transparent;
  transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1);
  overflow: hidden;
  width: 20%;
  animation: dropAnimation 0.5s ease-in-out;
}
.search-container button::before {
  content: '';
  position: absolute;
  inset: 0;
  margin: auto;
  width: 50px;
  height: 50px;
  border-radius: inherit;
  scale: 0;
  z-index: -1;
  background-color: rgba(247, 227, 197, 0.952);
  transition: all 0.6s cubic-bezier(0.23, 1, 0.320, 1);
}

.search-container button:hover::before {
  scale: 3;
}
.search-container button:hover {
  color: #f700ff;
  scale: 1.1;
  box-shadow: 0 0px 20px rgba(193, 163, 98,0.4);
}
.search-container button:active {
  scale: 1;
}


/* Add custom styles for the search results */
#search-results {
  display: none;
  max-height: 200px; 
  overflow-y: auto;
  margin-bottom: 10px;
}
#search-results h2{
  font-size: 1.2rem;
  margin-left: 2%;
}

.results-container {
  background-color: #ffffff9c;
  padding: 5px;
  border-radius: 20px;
  height: 79%;
  overflow-y: auto;
  box-shadow: 0 0 .4vw rgba(0, 0, 0, 0.822), 0 0 0 .15vw transparent;
  animation: dropAnimation 1s ease-in-out;
  
}

.results-container::-webkit-scrollbar {
  width: 0.0em;
}

.results-container::-webkit-scrollbar-track {
  background-color: transparent;
}

.results-container::-webkit-scrollbar-thumb {
  background-color: transparent;
}


#results-list {
  list-style: none;
  padding: 0;
  overflow: auto;
  scroll-behavior: smooth;
}

#results-list li {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  padding: 15px;
  background-color: rgb(150, 10, 64);
  border-radius: 10px;
  animation: dropAnimation 1.5s ease-in-out;
}

#results-list li img {
  width: 75px;
  height: 80px;
  margin-right: 15px;
  object-fit: cover;
  border-radius: 4px;
  box-shadow: 0 0 .4vw rgba(0, 0, 0, 0.822), 0 0 0 .15vw transparent;
}

::-webkit-scrollbar-track {
  background-color: transparent;
}
.tracks-container {
  display: flex;
  align-items: center;
  
}.track-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.track-info h3 {
  font-size: 18px;
  font-weight: 900;
  margin-bottom: 5px;
}

.track-info p {
  font-size: 14px;
  color: #a59e9e;
  font-weight: 900;
}


#playing-page {
  display: none;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 92%;
  width: 26%;
  color: #fff;
  padding: 11px;
  border: 12px solid #222020;
  box-sizing: border-box;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  background-image:url(https://www.olivelantern.com/wp-content/uploads/2016/02/How-you-can-use-affirmations-768x503.jpg);
  border-radius: 40px;
  overflow: hidden;
  /* box-shadow: 25px 25px 75px rgb(75, 70, 70),
  10px 50px 70px rgb(70, 66, 66),
  inset 5px 5px 10px rgba(255, 0, 0, 0),
  inset 5px 5px 20px rgba(243, 240, 240, 0.342),
  inset -5px -5px 15px rgba(240, 236, 236, 0.493); */
  opacity: 0;
  animation: slideIn 1s forwards;
  box-shadow: 0 0 0 4px hsl(0, 0%, 100%); 
}
.playing-items{
  background-color: #e3cce485;
  height: 86vh;
  justify-content: center;
  align-items: center;
  width: 100%;
  border-radius: 30px;
  padding: 9%;
  animation: dropAnimation 1s ease-in-out;

}

#playing-track {
  align-items: center;
}

#playing-page h2{
  margin-bottom: 1.5%;
  font-weight: 900;
  margin-bottom: 4%;
}
#playing-track img {
  width: 100%;
  height: 40%;
  object-fit: cover;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  border-radius: 10px;
  margin-bottom: 4%;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
}

#playing-track .track-info {
  flex-grow: 1;
}


#playing-track h3 {
  font-size: 19px;
  margin: 0;
  margin-bottom: 10px;
  color: #ffffff;
  font-weight: 900;
}

#playing-track p {
  font-size: 14px;
  color: #616060;
  margin-bottom: 4%;
  font-weight: 900;
}

#playing-track audio {
  width: 100%;
}

#playing-track .player-container {
  display: flex;
  align-items: center;
}


.controls {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12%;
  height: 25%;
  margin-bottom: 7%;
}

.controls button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  font-size: 20px;
  color: #000;
}
.controls #play-button {
  border-radius: 48%;
  background-color: #fff; 
  color: #000; 
  font-size: 25px;
  padding: 15px; 
  border: 2px solid #fff; 
  width: 20%;
  height: 25%;
  transition: color 0.3s ease;
}

.controls #play-button:hover {
  color: #ff0000;
}

.controls button:hover {
  color: #ff0000;
}

.timer {
  display: flex;
  justify-content: space-between;
  font-size: 11px;
  color: #000000;
  margin-top: 10px;
  margin-bottom: 5%;
  font-weight: 500;
}

.current-time {
  margin-right: 10px;
}

.total-time {
  margin-left: 10px;
}
.volume-icon {
  position: relative;
  display: inline-block;
  margin-left: 2%;
  font-weight: 900;
}

.volume-icon input[type="range"] {
  position: absolute;
  top: 100%;
  left: 150%;
  transform: translateY(-200%);
  width: 120px;
  height: 8px;
  opacity: 0;
  transition: opacity 0.3s ease;
  background-image: linear-gradient(to right, #f66 50%, #6cf 50%);
  background-size: 200% 100%;
  background-position: right center;
  border-radius: 25px;
  box-shadow: inset 0 1px 4px rgba(0, 0, 0, 0.5),
    inset 0 0 10px rgba(0, 0, 0, 0.5),
    0 0 0 1px rgba(0, 0, 0, 0.1),
    0 -1px 2px 2px rgba(0, 0, 0, 0.25),
    0 2px 2px 2px rgba(255, 255, 255, 0.75);
  cursor: pointer;
  -webkit-appearance: none;
}

.volume-icon input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.volume-icon input[type="range"]::-moz-range-thumb {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.volume-icon:hover input[type="range"] {
  opacity: 1;
}

.volume-icon:hover input[type="range"]::-webkit-slider-thumb {
  background-color: #ff0000;
}

.volume-icon:hover input[type="range"]::-moz-range-thumb {
  background-color: #ff0000;
}



.volume-icon:hover input[type="range"] {
  opacity: 1;
}



/* CSS for the timer bar */
.timer-bar {
  width: 100%;
  height: 5px;
  background-color: #eee;
  position: relative;
  margin-bottom: 1%;
  border-radius: 20%;
  

}

/* CSS for the timer progress */
.timer-progress {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  background-color:#ff0000;
  transition: width 0.2s ease-in-out;
  
}

/* CSS for the timer handle */
.timer-handle {
  position: absolute;
  top: -6px;
  width: 12px;
  height: 12px;
  background-color: #1db954;
  border-radius: 50%;
  transform: translateX(-50%);
  cursor: pointer;
  z-index: 2;
  transition: background-color 0.2s ease-in-out;
  
}

.timer-bar:hover .timer-handle {
  background-color: #0f813c;
}
.back-icon{
  display: inline-block;
  margin-bottom: 2%;
}
#back-button {
  background-color: transparent;
  border: none;
}

#back-button i {
  font-size: 20px;
  margin-top: 10%;
  cursor: pointer;
  font-size: 30px;
  color: #353232;
  transition: transform 0.3s ease;
}

#back-button:hover {
  transform: scale(1.2);
}

@keyframes arrowDown {
  0% {
    transform: translateY(-10px);
  }
  50% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-10px);
  }
}

#back-button i {
  animation: arrowDown 1.5s infinite;
}




/* mobile media versions */
@media (min-width: 360px) and (max-width: 390px) {
  

  #welcome-container {
    flex-direction: column;
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 135vh;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-top: 20px;
    margin-bottom: 130%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 6vh;
    margin-top: 25%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 8px solid;
    width: 50%;
    height: 50vh;
    top: 48%;
    right: 10%;
    border-radius: 30px;
    left: 25%;
  }


  #start-button img {
    width: 16%;
    height: 8%;
    left: 40%;
    top: 120%;
  }
  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 4%;
    width: 70%;
    border-radius: 10px;
    padding: 3px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 76%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  
  .search-container {
    width: 100%;
    
  }
  
  .search-container input[type="text"] {
    width: 100%;
    margin-bottom: 5px;
  }
  
  #search-results h2 {
    font-size: 1rem;
  }
  
  .results-container {
    height: 74%;
  }
  
  .search-container button {
    height: 4%;
    padding: 1%;
    margin-left: 40%;
    cursor: pointer;
    position: relative;
    font-size: 10px;
  }
  
  #results-list li img {
    width: 50px;
    height: 50px;
  }
  
  .track-info audio {
    height: 30px;
  }
  
  #start-button .parrot:before {
    content: "\1F3B6 tify  Music! ";
    font: 30px/1 "Margarine", sans-serif;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.781);
    cursor: pointer;
  }
  
  #loading-container {
    width: 100%;
    position: fixed;
    top: 50%;
    left: 80%;
    transform: translate(-50%, -50%);
  }
  .loading-title {
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size:50px; 
    font-family: sans-serif;
    font-weight: 900;
    color: rgb(151, 0, 83);
    animation: blink 1s infinite;
    letter-spacing: 5px;
    text-shadow: 2px 2px 4px rgb(0, 0, 0);
    
    
  }
  
  .loading-circle {
    display: block;
    border-left: 5px solid;
    border-top-left-radius: 100%;
    border-top: 5px solid;
    margin: 5px;
    animation-name: Loader_611;
    animation-duration: 1500ms;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: forwards;
    margin-top: 20%;
    margin-left: 9%;
    
  }
  .sp1 {
    border-left-color: #f81100;
    border-top-color: #ff1100;
    width: 40px;
    height: 40px;
  }
  
  .sp2 {
    border-left-color: #ffee07;
    border-top-color: #ffee07;
    width: 30px;
    height: 30px;
  }
  
  .sp3 {
    width: 20px;
    height: 20px;
    border-left-color: #ff0055;
    border-top-color: #ff0055;
  }
  
#playing-page {
 
  height: 98%;
  width: 100%;
 
}
.playing-items{
  height: 100%;
  width: 100%;
}

#playing-track {
  align-items: center;
}

#playing-page h2{
  margin-bottom: 1.5%;
  font-weight: 900;
  margin-bottom: 4%;
}
#playing-track img {
  width: 100%;
  height: 40%;
  object-fit: cover;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  border-radius: 10px;
  margin-bottom: 4%;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
}

#playing-track .track-info {
  flex-grow: 1;
}


#playing-track h3 {
  font-size: 19px;
  margin: 0;
  margin-bottom: 10px;
  color: #ffffff;
  font-weight: 900;
}

#playing-track p {
  font-size: 14px;
  color: #616060;
  margin-bottom: 4%;
  font-weight: 900;
}

#playing-track audio {
  width: 100%;
}

#playing-track .player-container {
  display: flex;
  align-items: center;
}

}


/* CSS for responsive mobile devices */

/* Medium devices (between 577px and 768px) */
@media (min-width: 390px) and (max-width: 460px) {
 
  #welcome-container {
    flex-direction: column;
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 100%;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-bottom: 150%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 6vh;
    margin-top: 28%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 8px solid;
    width: 50%;
    height: 40vh;
    top: 50%;
    right: 10%;
    border-radius: 30px;
    left: 25%;
  }


  #start-button img {
    width: 18%;
    height: 8%;
    left: 87%;
  }
  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 4%;
    width: 70%;
    border-radius: 10px;
    padding: 3px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 76%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  .btn {
    align-items: center;
    justify-content: center;
    width: 13%;
    height: 30%;
    display: flex;
    border-radius: 50px;
    margin: 20%;
  }
  
  #start-button img {
    object-fit: fill;
    position: absolute;
    top: 130%;
    left:30%;
  }
  
  .search-container {
    width: 100%;
  }
  
  .search-container input[type="text"] {
    width: 80%;
    font-size: 12px;
    justify-content: center;
    margin-left: 10%;
    padding: 6px;
  }
  
  .search-container button {
    height: 4%;
    padding: 1%;
    margin-left: 40%;
    cursor: pointer;
    position: relative;
    font-size: 12px;
  }
  
  .results-container {
    height: 74%;
  }
  
  .search-container button {
    height: 4%;
    padding: 1%;
    margin-left: 40%;
    cursor: pointer;
    position: relative;
    font-size: 10px;
  }
  
  #loading-container {
    width: 100%;
    position: fixed;
    top: 50%;
    left: 80%;
    transform: translate(-50%, -50%);
  }
  .loading-title {
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size:50px; 
    font-family: sans-serif;
    font-weight: 900;
    color: rgb(151, 0, 83);
    animation: blink 1s infinite;
    letter-spacing: 5px;
    text-shadow: 2px 2px 4px rgb(0, 0, 0);
    
    
  }
  
  .loading-circle {
    display: block;
    border-left: 5px solid;
    border-top-left-radius: 100%;
    border-top: 5px solid;
    margin: 5px;
    animation-name: Loader_611;
    animation-duration: 1500ms;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: forwards;
    margin-top: 20%;
    margin-left: 9%;
    
  }
  .sp1 {
    border-left-color: #f81100;
    border-top-color: #ff1100;
    width: 40px;
    height: 40px;
  }
  
  .sp2 {
    border-left-color: #ffee07;
    border-top-color: #ffee07;
    width: 30px;
    height: 30px;
  }
  
  .sp3 {
    width: 20px;
    height: 20px;
    border-left-color: #ff0055;
    border-top-color: #ff0055;
  }
  #playing-page {
 
    height: 98%;
    width: 100%;
   
  }
  .playing-items{
    height: 100%;
    width: 100%;
  }
  #playing-track {
    align-items: center;
  }
  
  #playing-page h2{
    margin-bottom: 1.5%;
    font-weight: 900;
    margin-bottom: 15%;
  }
  #playing-track img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 10px;
    margin-bottom: 15%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
  }
  
  #playing-track .track-info {
    flex-grow: 1;
  }
  
  
  #playing-track h3 {
    font-size: 19px;
    margin: 0;
    margin-bottom: 10px;
    color: #ffffff;
    font-weight: 900;
  }
  
  #playing-track p {
    font-size: 14px;
    color: #616060;
    margin-bottom: 4%;
    font-weight: 900;
  }
  
  #playing-track audio {
    width: 100%;
  }
  
  #playing-track .player-container {
    display: flex;
    align-items: center;
  }
  
}

/* Large devices (between 769px and 992px) */
@media (min-width: 460px) and (max-width: 789px) {
  #welcome-container {
    
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 180vh;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-bottom: 165%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 9vh;
    margin-top: 25%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 10px solid;
    width: 58%;
    height: 65vh;
    top: 55%;
    right: 10%;
    border-radius: 30px;
    left: 20%;
  }
 


  #start-button img {
 
    left: 39%;
    top: 157%;
  }

  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 5%;
    width: 65%;
    border-radius: 10px;
    padding: 4px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 82%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  .search-container {
    width: 100%;
    height: 100vh;
  }
  
  .search-container input[type="text"] {
    width: 80%;
  }
  
  #start-button img {
    width: 30%;
    height: 20%;
  }
  #loading-container {
    width: 100%;
    position: fixed;
    top: 50%;
    left: 80%;
    transform: translate(-50%, -50%);
  }
  .loading-title {
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size:50px; 
    font-family: sans-serif;
    font-weight: 900;
    color: rgb(151, 0, 83);
    animation: blink 1s infinite;
    letter-spacing: 5px;
    text-shadow: 2px 2px 4px rgb(0, 0, 0);
    
    
  }
  
  .loading-circle {
    display: block;
    border-left: 5px solid;
    border-top-left-radius: 100%;
    border-top: 5px solid;
    margin: 5px;
    animation-name: Loader_611;
    animation-duration: 1500ms;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: forwards;
    margin-top: 20%;
    margin-left: 9%;
    
  }
  .sp1 {
    border-left-color: #f81100;
    border-top-color: #ff1100;
    width: 40px;
    height: 40px;
  }
  
  .sp2 {
    border-left-color: #ffee07;
    border-top-color: #ffee07;
    width: 30px;
    height: 30px;
  }
  
  .sp3 {
    width: 20px;
    height: 20px;
    border-left-color: #ff0055;
    border-top-color: #ff0055;
  }
  #playing-page {
 
    height: 98%;
    width: 100%;
   
  }
  .playing-items{
    height: 100%;
    width: 100%;
  }
  #playing-track {
    align-items: center;
  }
  
  #playing-page h2{
    margin-bottom: 1.5%;
    font-weight: 900;
    margin-bottom: 15%;
  }
  #playing-track img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 10px;
    margin-bottom: 15%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
  }
  
  #playing-track .track-info {
    flex-grow: 1;
  }
  
  
  #playing-track h3 {
    font-size: 19px;
    margin: 0;
    margin-bottom: 10px;
    color: #ffffff;
    font-weight: 900;
  }
  
  #playing-track p {
    font-size: 14px;
    color: #616060;
    margin-bottom: 4%;
    font-weight: 900;
  }
  
  #playing-track audio {
    width: 100%;
  }
  
  #playing-track .player-container {
    display: flex;
    align-items: center;
  }
}

@media (min-width: 490px) and (max-width: 560px){
  #welcome-container {
    
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 180vh;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-bottom: 165%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 9vh;
    margin-top: 25%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 10px solid;
    width: 58%;
    height: 65vh;
    top: 55%;
    right: 10%;
    border-radius: 30px;
    left: 20%;
  }
 


  #start-button img {
 
    left: 39%;
    top: 157%;
  }

  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 5%;
    width: 65%;
    border-radius: 10px;
    padding: 4px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 82%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  .search-container {
    width: 100%;
    height: 100vh;
  }
  
  .search-container input[type="text"] {
    width: 80%;
  }
  
  #start-button img {
    width: 30%;
    height: 20%;
  }
  #playing-page {
 
    height: 98%;
    width: 100%;
   
  }
  .playing-items{
    height: 100%;
    width: 100%;
  }
  #playing-track {
    align-items: center;
  }
  
  #playing-page h2{
    margin-bottom: 1.5%;
    font-weight: 900;
    margin-bottom: 15%;
  }
  #playing-track img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 10px;
    margin-bottom: 15%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
  }
  
  #playing-track .track-info {
    flex-grow: 1;
  }
  
  
  #playing-track h3 {
    font-size: 19px;
    margin: 0;
    margin-bottom: 10px;
    color: #ffffff;
    font-weight: 900;
  }
  
  #playing-track p {
    font-size: 14px;
    color: #616060;
    margin-bottom: 4%;
    font-weight: 900;
  }
  
  #playing-track audio {
    width: 100%;
  }
  
  #playing-track .player-container {
    display: flex;
    align-items: center;
  }
}


@media (min-width: 560px) and (max-width: 590px){

  #welcome-container {
    
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 190vh;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-bottom: 165%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 9vh;
    margin-top: 25%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 10px solid;
    width: 58%;
    height: 75vh;
    top: 64%;
    right: 10%;
    border-radius: 30px;
    left: 20%;
  }
 


  #start-button img {
    left: 39%;
    top: 177%;
  }

  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 5%;
    width: 65%;
    border-radius: 10px;
    padding: 4px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 82%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  .search-container {
    width: 100%;
    height: 100vh;
  }
  
  .search-container input[type="text"] {
    width: 80%;
  }
  
  #start-button img {
    width: 30%;
    height: 20%;
  }
  #loading-container {
    width: 100%;
    position: fixed;
    top: 50%;
    left: 80%;
    transform: translate(-50%, -50%);
  }
  .loading-title {
    align-items: center;
    justify-content: center;
    text-align: center;
    font-size:50px; 
    font-family: sans-serif;
    font-weight: 900;
    color: rgb(151, 0, 83);
    animation: blink 1s infinite;
    letter-spacing: 5px;
    text-shadow: 2px 2px 4px rgb(0, 0, 0);
    
    
  }
  
  .loading-circle {
    display: block;
    border-left: 5px solid;
    border-top-left-radius: 100%;
    border-top: 5px solid;
    margin: 5px;
    animation-name: Loader_611;
    animation-duration: 1500ms;
    animation-timing-function: linear;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: forwards;
    margin-top: 20%;
    margin-left: 9%;
    
  }
  .sp1 {
    border-left-color: #f81100;
    border-top-color: #ff1100;
    width: 40px;
    height: 40px;
  }
  
  .sp2 {
    border-left-color: #ffee07;
    border-top-color: #ffee07;
    width: 30px;
    height: 30px;
  }
  
  .sp3 {
    width: 20px;
    height: 20px;
    border-left-color: #ff0055;
    border-top-color: #ff0055;
  }
  #playing-page {
 
    height: 98%;
    width: 100%;
   
  }
  .playing-items{
    height: 100%;
    width: 100%;
  }
  #playing-track {
    align-items: center;
  }
  
  #playing-page h2{
    margin-bottom: 1.5%;
    font-weight: 900;
    margin-bottom: 15%;
  }
  #playing-track img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 10px;
    margin-bottom: 15%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
  }
  
  #playing-track .track-info {
    flex-grow: 1;
  }
  
  
  #playing-track h3 {
    font-size: 19px;
    margin: 0;
    margin-bottom: 10px;
    color: #ffffff;
    font-weight: 900;
  }
  
  #playing-track p {
    font-size: 14px;
    color: #616060;
    margin-bottom: 4%;
    font-weight: 900;
  }
  
  #playing-track audio {
    width: 100%;
  }
  
  #playing-track .player-container {
    display: flex;
    align-items: center;
  }
}

@media (min-width: 820px) and (max-width: 1180px){
  #welcome-container {
    
    width: 100%;
    display: inline-block;
    justify-content: space-between;
    align-items: center;
    padding: 10%;
    height: 180vh;
    
  }
  .welcomeHeader {
    width: 100%;
    height: 35vh;
    margin-bottom: 165%;
  }
  .welcomeHeader h1{
    
    font-size: 2rem;
    font-family: 'Poppins';
    letter-spacing: 12px;
    line-height: 9vh;
    margin-top: 25%;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgb(130, 107, 138);
    color: rgb(245, 111, 1);
  }
  
  .smallHeader {
    display: flex;
    width: 80%;
    height: 7vh;
    background-color: rgb(215, 205, 224);
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    padding: 10px;
    
  
  }
  .smallHeader h2{
    font-size: 1rem;
    font-family: Secular One;
  }
  .phoneImgContainer{
    border: 10px solid;
    width: 58%;
    height: 65vh;
    top: 55%;
    right: 10%;
    border-radius: 30px;
    left: 20%;
  }
 


  #start-button img {
 
    left: 39%;
    top: 157%;
  }

  #start-button .parrot {
    top: 3%;
   
  }
  .srchCont{
    background-color: aliceblue;
    height: 5%;
    width: 65%;
    border-radius: 10px;
    padding: 4px;
    padding-left: 15px;
  }
  .srchCont h3{
    font-size: 0.7rem;
  }
  .srchBtn{
    height: 5%;
    border-radius: 10px;
    width: 24%;
    background-color: rgb(182, 8, 89);
    padding: 2px;
  }
  .srchBtn h3{
    font-size: 0.7rem;
    text-align: center;
    color: aliceblue;
  }
  
  .resultsCont{
    padding: 15px;
    height: 82%;
    border-radius: 20px;
    background-color: aliceblue;
  }
  .resultsCont h3{
    font-size: 1rem;
  }
  .search-container {
    width: 100%;
    height: 100vh;
  }
  
  .search-container input[type="text"] {
    width: 80%;
  }
  
  #start-button img {
    width: 30%;
    height: 20%;
  }
  #playing-page {
 
    height: 98%;
    width: 100%;
   
  }
  .playing-items{
    height: 100%;
    width: 100%;
  }
  #playing-track {
    align-items: center;
  }
  
  #playing-page h2{
    margin-bottom: 1.5%;
    font-weight: 900;
    margin-bottom: 15%;
  }
  #playing-track img {
    width: 100%;
    height: 40%;
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 10px;
    margin-bottom: 15%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.87);
  }
  
  #playing-track .track-info {
    flex-grow: 1;
  }
  
  
  #playing-track h3 {
    font-size: 19px;
    margin: 0;
    margin-bottom: 10px;
    color: #ffffff;
    font-weight: 900;
  }
  
  #playing-track p {
    font-size: 14px;
    color: #616060;
    margin-bottom: 4%;
    font-weight: 900;
  }
  
  #playing-track audio {
    width: 100%;
  }
  
  #playing-track .player-container {
    display: flex;
    align-items: center;
  }
}